/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 2; tab-width: 2 -*- */
/* gdome-util.h
 *
 * Copyright (C) 1999 Raph Levien <raph@acm.org>
 * Copyright (C) 2000 Mathieu Lacage <mathieu@gnu.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */

/* casting macros */

#ifndef GDOME_UTIL_H
#define GDOME_UTIL_H

#include "gdome.h"
#include "gdome-xml-util.h"

#define GDOME_EVNTT(evntt) (GdomeEventTarget *)gdome_xml_cast_evntt      \
                            ((GdomeEventTarget *)evntt)
#define GDOME_EVNTL(evntl) (GdomeEventListener *)gdome_xml_cast_evntl    \
                            ((Gdome_xml_EventListener *)evntl)
#define GDOME_N(node) (GdomeNode *)gdome_xml_cast_node                   \
                       ((Gdome_xml_Node *)node)
#define GDOME_EL(el) (GdomeElement *)gdome_xml_cast_el                   \
                      ((Gdome_xml_Element *)el)
#define GDOME_A(attr) (GdomeAttr *) attr
#define GDOME_NL(nl) (GdomeNodeList *) nl
#define GDOME_T(text) (GdomeText *) text
#define GDOME_NOT(not) (GdomeNot *) not
#define GDOME_ENT(ent) (GdomeEntity *) ent
#define GDOME_ER(er) (GdomeEntityReference *) er
#define GDOME_CDS(cds) (GdomeCDATASection *) cds
#define GDOME_DOC(doc) (GdomeDocument *) doc
#define GDOME_PI(pi) (GdomeProcessingInstruction *) pi
#define GDOME_CD(cd) (GdomeCharacterData *) cd

#define GDOME_EVNTL_CALLBACK(cb) cb   

#endif /* GDOME_UTIL_H */


